#!/bin/bash

TARGET=${1}
if [ "${TARGET}" = "" ]; then
  echo "${0} cert_filename"
  exit 1
fi

function showinfo() {
  TYPE=$1
  FORMAT=$2
  TARGET=$3
  TMP_SHOW_FILE=$4
  openssl ${TYPE} -noout -text -inform ${FORMAT} -in ${TARGET} > ${TMP_SHOW_FILE}  2>&1
  if [ $? -eq 0 ]; then
    cat ${TMP_SHOW_FILE}
    rm -f ${TMP_SHOW_FILE}
    exit 0
  fi
}


TMP_SHOW_FILE=$(mktemp)
showinfo x509 pem ${TARGET} ${TMP_SHOW_FILE}
showinfo x509 der ${TARGET} ${TMP_SHOW_FILE}
showinfo req  pem ${TARGET} ${TMP_SHOW_FILE}
showinfo req  der ${TARGET} ${TMP_SHOW_FILE}
showinfo crl  pem ${TARGET} ${TMP_SHOW_FILE}
showinfo crl  der ${TARGET} ${TMP_SHOW_FILE}
showinfo rsa  pem ${TARGET} ${TMP_SHOW_FILE}
showinfo rsa  der ${TARGET} ${TMP_SHOW_FILE}

rm -f ${TMP_SHOW_FILE}
exit 1

